Retrieve WonderClip video task
curl --request GET \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Video API
Retrieve WonderClip video task
Retrieve normalized status and video outputs for a WonderClip task.
Retrieve WonderClip video task
curl --request GET \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));GET https://gengen.farm/api/gengen/v1/contents/generations/tasks/{id}
Path parameter
string
required
Public task ID with the
wonderclip10: prefix. URL-encode the colon when placing the ID in the
request path.curl --request GET \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks/wonderclip10%3Aag_123 \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx'
Response
{
"id": "wonderclip10:ag_123",
"model": "wonder-pro",
"status": "succeeded",
"outputs": {
"videos": [
"https://example.com/generated-video.mp4"
],
"images": []
}
}
| Field | Type | Description |
|---|---|---|
id | string | Public GENGEN task ID |
model | string | Public WonderClip model ID used by the task |
status | string | queued, running, succeeded, or failed |
outputs.videos | string[] | Generated video URLs after success |
outputs.images | string[] | Reserved image outputs; empty for video tasks |
failureReason | string | Failure explanation when provided |
status and outputs.videos.
Retrieve the task with the same GENGEN API key that created it. Another key in the same
workspace cannot retrieve the task.